> ## Documentation Index
> Fetch the complete documentation index at: https://docs.incident.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> List all incident updates for an organisation, or for a specific incident.



## OpenAPI

````yaml /openapi/tags/incident-updates-v2.json get /v2/incident_updates
openapi: 3.0.3
info:
  description: "This is the API reference for incident.io.\n\nIt documents available API endpoints, provides examples of how to use it, and\ninstructions around things like authentication and error handling.\n\nThe API is hosted at:\n\n- https://api.incident.io/\n\nAnd you will need to create an API key via your [incident.io\ndashboard](https://app.incident.io/settings/api-keys) to make requests.\n\n# Making requests\n\nHere are the key concepts required to make requests to the incident.io API.\n\n## Authentication\n\nFor all requests made to the incident.io API, you'll need an API key.\n\nTo create an API key, head to the incident dashboard and visit [API\nkeys](https://app.incident.io/settings/api-keys). When you create the key, you'll be able to choose what actions it\ncan take for your account: choose carefully, as those roles can only be set\nwhen you first create the key. We'll only show you the token once, so make sure\nyou store it somewhere safe.\n\nAPI keys are global to your incident.io account, and can be managed by anyone\nwho has the right permissions. We display the user that created the API key,\nand the API key will remain valid if that user becomes deactivated.\n\nOnce you have the key, you should make requests to the API that set the\n`Authorization` request header using a \"Bearer\" authentication scheme:\n\n```\nAuthorization: Bearer <YOUR_API_KEY>\n```\n\n## Rate Limits\n\nThe incident.io API enforces rate limits to ensure consistent performance for all users.\n\nThe default rate limit is 1200 requests/minute per API key. This limit applies to most endpoints across the API.\n\nSome endpoints have lower rate limits, particularly those that interact with external third-party systems that impose\ntheir own limitations. These specific limits vary by endpoint, and we recommend relying on the rate-limit error\nresponses to understand usage patterns and implement appropriate retry strategies.\n\nWhen you exceed a rate limit, the API will respond with a `429 Too Many Requests` status code, along with a JSON\nresponse that includes information about the limit and when you can retry:\n\n```json\n{\n    \"type\": \"too_many_requests\",\n    \"status\": 429,\n    \"request_id\": \"b839a403-7704-41c1-bf6a-39a2d68caefa\",\n    \"rate_limit\": {\n        \"name\": \"api_key_name\",\n        \"limit\": 1200,\n        \"remaining\": 0,\n        \"retry_after\": \"Thu, 17 Apr 2025 11:17:18 UTC\"\n    },\n    \"errors\": [\n        {\n            \"code\": \"too_many_requests\",\n            \"message\": \"Too many requests hit the API too quickly. We recommend an exponential backoff of your requests.\"\n        }\n    ]\n}\n```\n\nThe response includes:\n* The name of the API key (`name`)\n* The bucket limit (`limit`)\n* The number of requests remaining (`remaining`)\n* When you can retry requests (`retry_after`)\n\n## Errors\n\nWe use standard HTTP response codes to indicate the status or failure of API\nrequests.\n\nThe API response body will be JSON, and contain more detailed information on the\nnature of the error.\n\nAn example error when a request is made without an API key:\n\n```json\n{\n  \"type\": \"authentication_error\",\n  \"status\": 401,\n  \"request_id\": \"8e3cc412-b49d-4957-9073-2c19d2c61804\",\n  \"errors\": [\n    {\n      \"code\": \"missing_authorization_material\",\n      \"message\": \"No authorization material provided in request\"\n    }\n  ]\n}\n```\n\nNote that the error:\n\n- Contains the HTTP status (`401`)\n- References the type of error (`authentication_error`)\n- Includes a `request_id` that can be provided to incident.io support to help\n\tdebug questions with your API request\n- Provides a list of individual errors, which go into detail about why the error\n\toccurred\n\nThe most common error will be a 422 Validation Error, which is returned when the\nrequest was rejected due to failing validations.\n\nThese errors look like this:\n\n```json\n{\n  \"type\": \"validation_error\",\n  \"status\": 422,\n  \"request_id\": \"631766c4-4afd-4803-997c-cd700928fa4b\",\n  \"errors\": [\n    {\n      \"code\": \"is_required\",\n      \"message\": \"A severity is required to open an incident\",\n      \"source\": {\n        \"field\": \"severity_id\"\n      }\n    }\n  ]\n}\n```\n\nThis error is caused by not providing a severity identifier, which should be at\nthe `severity_id` field of the request payload. Errors like these can be mapped to\nforms, should you be integrating with the API from a user-interface.\n\n## Compatibility\n\nWe won't make breaking changes to existing API services or endpoints, but will\nexpect integrators to upgrade themselves to the latest API endpoints within 3\nmonths of us deprecating the old service.\n\nWe will make changes that are considered backwards compatible, which include:\n\n- Adding new API endpoints and services\n- Adding new properties to responses from existing API endpoints\n- Reordering properties returned from existing API endpoints\n- Adding optional request parameters to existing API endpoints\n- Altering the format or length of IDs\n- Adding new values to enums\n\nIt is important that clients are robust to these changes, to ensure reliable\nintegrations.\n\nAs an example, if you are generating a client using an openapi-generator, ensure\nthe generated client is configured to support unknown enum values, often\nconfigured via the `enumUnknownDefaultCase` parameter.\n\nWhen breaking changes are unavoidable, we'll create a new service version on a\nseparate path, and run them in parallel.\n\nFor example:\n\n- https://api.incident.io/v1/incidents\n- https://api.incident.io/v2/incidents\n\nFor any questions, email support@incident.io.\n"
  title: incident.io
  version: 1.0.0
servers:
  - url: https://api.incident.io
security:
  - BearerAuth: []
tags:
  - description: >
      List incident updates.


      Incident Updates allows you to see all the updates that have been shared
      against a

      particular incident. This will include any time that the Severity or
      Status of

      an incident changed, alongside any additional updates that were provided.
    name: Incident Updates V2
paths:
  /v2/incident_updates:
    get:
      tags:
        - Incident Updates V2
      summary: List
      description: >-
        List all incident updates for an organisation, or for a specific
        incident.
      operationId: Incident Updates V2_List
      parameters:
        - allowEmptyValue: true
          description: Incident whose updates you want to list
          example: 01G0J1EXE7AXZ2C93K61WBPYEH
          in: query
          name: incident_id
          schema:
            description: Incident whose updates you want to list
            example: 01G0J1EXE7AXZ2C93K61WBPYEH
            type: string
        - allowEmptyValue: true
          description: Integer number of records to return
          example: 25
          in: query
          name: page_size
          schema:
            default: 25
            description: Integer number of records to return
            example: 25
            format: int64
            maximum: 250
            type: integer
        - allowEmptyValue: true
          description: >-
            An record's ID. This endpoint will return a list of records after
            this ID in relation to the API response order.
          example: 01FDAG4SAP5TYPT98WGR2N7W91
          in: query
          name: after
          schema:
            description: >-
              An record's ID. This endpoint will return a list of records after
              this ID in relation to the API response order.
            example: 01FDAG4SAP5TYPT98WGR2N7W91
            type: string
      responses:
        '200':
          content:
            application/json:
              example:
                incident_updates:
                  - created_at: '2021-08-17T13:28:57.801578Z'
                    id: 01FCNDV6P870EA6S7TK1DSYDG0
                    incident_id: 01FCNDV6P870EA6S7TK1DSYDG0
                    merged_into_incident_id: 01FCNDV6P870EA6S7TK1DSYDG0
                    message: >-
                      We're working on a fix, hoping to ship in the next 30
                      minutes
                    new_incident_status:
                      category: triage
                      created_at: '2021-08-17T13:28:57.801578Z'
                      description: >-
                        Impact has been **fully mitigated**, and we're ready to
                        learn from this incident.
                      id: 01FCNDV6P870EA6S7TK1DSYD5H
                      name: Closed
                      rank: 4
                      updated_at: '2021-08-17T13:28:57.801578Z'
                    new_severity:
                      created_at: '2021-08-17T13:28:57.801578Z'
                      description: Issues with **low impact**.
                      id: 01FCNDV6P870EA6S7TK1DSYDG0
                      name: Minor
                      rank: 1
                      updated_at: '2021-08-17T13:28:57.801578Z'
                    updater:
                      alert:
                        id: 01GW2G3V0S59R238FAHPDS1R66
                        title: '*errors.withMessage: PG::Error failed to connect'
                      api_key:
                        id: 01FCNDV6P870EA6S7TK1DSYDG0
                        name: My test API key
                      user:
                        email: lisa@incident.io
                        id: 01FCNDV6P870EA6S7TK1DSYDG0
                        name: Lisa Karlin Curtis
                        role: owner
                        slack_user_id: U02AYNF2XJM
                      workflow:
                        id: 01FCNDV6P870EA6S7TK1DSYDG0
                        name: My little workflow
                pagination_meta:
                  after: 01FCNDV6P870EA6S7TK1DSYDG0
                  page_size: 25
              schema:
                $ref: '#/components/schemas/IncidentUpdatesListResultV2'
          description: OK response.
components:
  schemas:
    IncidentUpdatesListResultV2:
      example:
        incident_updates:
          - created_at: '2021-08-17T13:28:57.801578Z'
            id: 01FCNDV6P870EA6S7TK1DSYDG0
            incident_id: 01FCNDV6P870EA6S7TK1DSYDG0
            merged_into_incident_id: 01FCNDV6P870EA6S7TK1DSYDG0
            message: We're working on a fix, hoping to ship in the next 30 minutes
            new_incident_status:
              category: triage
              created_at: '2021-08-17T13:28:57.801578Z'
              description: >-
                Impact has been **fully mitigated**, and we're ready to learn
                from this incident.
              id: 01FCNDV6P870EA6S7TK1DSYD5H
              name: Closed
              rank: 4
              updated_at: '2021-08-17T13:28:57.801578Z'
            new_severity:
              created_at: '2021-08-17T13:28:57.801578Z'
              description: Issues with **low impact**.
              id: 01FCNDV6P870EA6S7TK1DSYDG0
              name: Minor
              rank: 1
              updated_at: '2021-08-17T13:28:57.801578Z'
            updater:
              alert:
                id: 01GW2G3V0S59R238FAHPDS1R66
                title: '*errors.withMessage: PG::Error failed to connect'
              api_key:
                id: 01FCNDV6P870EA6S7TK1DSYDG0
                name: My test API key
              user:
                email: lisa@incident.io
                id: 01FCNDV6P870EA6S7TK1DSYDG0
                name: Lisa Karlin Curtis
                role: owner
                slack_user_id: U02AYNF2XJM
              workflow:
                id: 01FCNDV6P870EA6S7TK1DSYDG0
                name: My little workflow
        pagination_meta:
          after: 01FCNDV6P870EA6S7TK1DSYDG0
          page_size: 25
      properties:
        incident_updates:
          example:
            - created_at: '2021-08-17T13:28:57.801578Z'
              id: 01FCNDV6P870EA6S7TK1DSYDG0
              incident_id: 01FCNDV6P870EA6S7TK1DSYDG0
              merged_into_incident_id: 01FCNDV6P870EA6S7TK1DSYDG0
              message: We're working on a fix, hoping to ship in the next 30 minutes
              new_incident_status:
                category: triage
                created_at: '2021-08-17T13:28:57.801578Z'
                description: >-
                  Impact has been **fully mitigated**, and we're ready to learn
                  from this incident.
                id: 01FCNDV6P870EA6S7TK1DSYD5H
                name: Closed
                rank: 4
                updated_at: '2021-08-17T13:28:57.801578Z'
              new_severity:
                created_at: '2021-08-17T13:28:57.801578Z'
                description: Issues with **low impact**.
                id: 01FCNDV6P870EA6S7TK1DSYDG0
                name: Minor
                rank: 1
                updated_at: '2021-08-17T13:28:57.801578Z'
              updater:
                alert:
                  id: 01GW2G3V0S59R238FAHPDS1R66
                  title: '*errors.withMessage: PG::Error failed to connect'
                api_key:
                  id: 01FCNDV6P870EA6S7TK1DSYDG0
                  name: My test API key
                user:
                  email: lisa@incident.io
                  id: 01FCNDV6P870EA6S7TK1DSYDG0
                  name: Lisa Karlin Curtis
                  role: owner
                  slack_user_id: U02AYNF2XJM
                workflow:
                  id: 01FCNDV6P870EA6S7TK1DSYDG0
                  name: My little workflow
          items:
            $ref: '#/components/schemas/IncidentUpdateV2'
          type: array
        pagination_meta:
          $ref: '#/components/schemas/PaginationMetaResultV2'
      required:
        - incident_updates
      type: object
    IncidentUpdateV2:
      properties:
        created_at:
          description: When the update was created
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
        id:
          description: Unique identifier for this incident update
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        incident_id:
          description: The incident this update relates to
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        merged_into_incident_id:
          description: >-
            The ID of the incident this incident was merged into, if the to
            state of this update is 'merged'.
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        message:
          description: Message that explains the context behind the update
          example: We're working on a fix, hoping to ship in the next 30 minutes
          type: string
        new_incident_status:
          $ref: '#/components/schemas/IncidentStatusV2'
        new_severity:
          $ref: '#/components/schemas/SeverityV2'
        updater:
          $ref: '#/components/schemas/ActorV2'
      required:
        - id
        - incident_id
        - new_incident_status
        - updater
        - created_at
      type: object
    PaginationMetaResultV2:
      example:
        after: 01FCNDV6P870EA6S7TK1DSYDG0
        page_size: 25
      properties:
        after:
          description: If provided, pass this as the 'after' param to load the next page
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        page_size:
          default: 25
          description: What was the maximum number of results requested
          example: 25
          format: int64
          maximum: 250
          type: integer
      required:
        - page_size
      type: object
    IncidentStatusV2:
      example:
        category: triage
        created_at: '2021-08-17T13:28:57.801578Z'
        description: >-
          Impact has been **fully mitigated**, and we're ready to learn from
          this incident.
        id: 01FCNDV6P870EA6S7TK1DSYD5H
        name: Closed
        rank: 4
        updated_at: '2021-08-17T13:28:57.801578Z'
      properties:
        category:
          description: >-
            What category of status it is. All statuses apart from live (renamed
            in the app to Active) and learning (renamed in the app to
            Post-incident) are managed by incident.io and cannot be configured
          enum:
            - triage
            - declined
            - merged
            - canceled
            - live
            - learning
            - closed
            - paused
          example: triage
          type: string
        created_at:
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
        description:
          description: Rich text description of the incident status
          example: >-
            Impact has been **fully mitigated**, and we're ready to learn from
            this incident.
          type: string
        id:
          description: Unique ID of this incident status
          example: 01FCNDV6P870EA6S7TK1DSYD5H
          type: string
        name:
          description: Unique name of this status
          example: Closed
          type: string
        rank:
          description: Order of this incident status
          example: 4
          format: int64
          type: integer
        updated_at:
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
      required:
        - id
        - name
        - description
        - rank
        - category
        - created_at
        - updated_at
      type: object
    SeverityV2:
      example:
        created_at: '2021-08-17T13:28:57.801578Z'
        description: Issues with **low impact**.
        id: 01FCNDV6P870EA6S7TK1DSYDG0
        name: Minor
        rank: 1
        updated_at: '2021-08-17T13:28:57.801578Z'
      properties:
        created_at:
          description: When the action was created
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
        description:
          description: Description of the severity
          example: Issues with **low impact**.
          type: string
        id:
          description: Unique identifier of the severity
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        name:
          description: Human readable name of the severity
          example: Minor
          maxLength: 50
          type: string
        rank:
          description: Rank to help sort severities (lower numbers are less severe)
          example: 1
          format: int64
          type: integer
        updated_at:
          description: When the action was last updated
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
      required:
        - id
        - name
        - description
        - rank
        - created_at
        - updated_at
      type: object
    ActorV2:
      example:
        alert:
          id: 01GW2G3V0S59R238FAHPDS1R66
          title: '*errors.withMessage: PG::Error failed to connect'
        api_key:
          id: 01FCNDV6P870EA6S7TK1DSYDG0
          name: My test API key
        user:
          email: lisa@incident.io
          id: 01FCNDV6P870EA6S7TK1DSYDG0
          name: Lisa Karlin Curtis
          role: owner
          slack_user_id: U02AYNF2XJM
        workflow:
          id: 01FCNDV6P870EA6S7TK1DSYDG0
          name: My little workflow
      properties:
        alert:
          $ref: '#/components/schemas/AlertActorV2'
        api_key:
          $ref: '#/components/schemas/APIKeyActorV2'
        user:
          $ref: '#/components/schemas/UserV2'
        workflow:
          $ref: '#/components/schemas/WorkflowActorV2'
      type: object
    AlertActorV2:
      example:
        id: 01GW2G3V0S59R238FAHPDS1R66
        title: '*errors.withMessage: PG::Error failed to connect'
      properties:
        id:
          description: The ID of this alert
          example: 01GW2G3V0S59R238FAHPDS1R66
          type: string
        title:
          description: >-
            The title of the alert, parsed from the alert payload according to
            the alert source configuration
          example: '*errors.withMessage: PG::Error failed to connect'
          type: string
      required:
        - id
        - title
      type: object
    APIKeyActorV2:
      example:
        id: 01FCNDV6P870EA6S7TK1DSYDG0
        name: My test API key
      properties:
        id:
          description: Unique identifier for this API key
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        name:
          description: The name of the API key, for the user's reference
          example: My test API key
          type: string
      required:
        - id
        - name
      type: object
    UserV2:
      example:
        email: lisa@incident.io
        id: 01FCNDV6P870EA6S7TK1DSYDG0
        name: Lisa Karlin Curtis
        role: owner
        slack_user_id: U02AYNF2XJM
      properties:
        email:
          description: Email address of the user.
          example: lisa@incident.io
          type: string
        id:
          description: Unique identifier of the user
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        name:
          description: Name of the user
          example: Lisa Karlin Curtis
          type: string
        role:
          description: >-
            DEPRECATED: Role of the user as of March 9th 2023, this value is no
            longer updated.
          enum:
            - viewer
            - responder
            - administrator
            - owner
            - unset
          example: owner
          type: string
        slack_user_id:
          description: Slack ID of the user
          example: U02AYNF2XJM
          type: string
      required:
        - role
        - id
        - name
      type: object
    WorkflowActorV2:
      example:
        id: 01FCNDV6P870EA6S7TK1DSYDG0
        name: My little workflow
      properties:
        id:
          description: Unique identifier for the workflow
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        name:
          description: Name provided by the user when creating the workflow
          example: My little workflow
          type: string
      required:
        - id
        - name
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API key from your incident.io dashboard (Settings → API keys)

````